Projects
Update project goal status
Update project goal status. Required permissions: Edit
PATCH
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
goals
/
{goalId}
Update project goal status
curl --request PATCH \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/goals/{goalId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"isComplete": true
}
'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/goals/{goalId}"
payload = { "isComplete": True }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isComplete: true})
};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/goals/{goalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"createdAt": "2022-03-12T02:13:44.467Z",
"creatorId": "<string>",
"id": "<string>",
"isComplete": true,
"projectId": "<string>",
"title": "<string>",
"description": "<string>"
},
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Project ID of the goal
ID of the goal to update
Body
application/json
Project goal for update
Flag indicating if the goal is complete
Last modified on August 18, 2026
Related topics
Update project statusGet goals in this projectAdd a goal to this projectDelete a project goalWas this page helpful?
⌘I
Update project goal status
